Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000190 [Piwigo] display minor always 2005.10.27 08:41 2005.11.12 14:09
Reporter noiry View Status public  
Assigned To volcom
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.0 Product Version 1.5.0RC2
  Target Version Product Build
Summary 0000190: Page stats.php : <table>
Description Les <table> de la page des stats detaillées sont placés etrangements...
Resultat, on obtient un affichage non uniforme (le bandeau du jour n'occupe que 98% de la page...)

Je ne sais pas si c'est un choix, mais si ca n'en est pas un, voici le code de remplacement.
J'ai fermé le premier <table> après les "stratow" et fermé le deuxieme après les "detail".

De plus, question : Volcom a t'il utilisé le MOD envoyé par mail à Zorglub ? Je ne retrouve pas le graph journalier... Volontaire ?
Pour test, voici mon MOD complet en action :
http://kmoi.2006.free.fr [^]
log/pass : pwg / pwg

exemple parlant : http://kmoi.2006.free.fr/admin.php?page=stats&year=2005&month=10&day=26 [^]
Steps To Reproduce
Additional Information <!-- $Id: stats.tpl,v 1.3 2005/10/17 07:21:29 volcom Exp $ -->
<h2>{lang:title_history}</h2>

<h3>{L_STAT_TITLE}</h3>
<img class="image" src="{IMG_REPORT}" alt="{L_STAT_MONTHLY_ALT}" />

<h3>{L_STAT_DETAIL_TITLE}</h3>
<table class="table2" width="60%">
<tr class="throw">
    <th>{L_VALUE}</th>
    <th>{L_PAGES_SEEN}</th>
    <th>{L_VISITORS}</th>
    <th>{L_PICTURES}</th>
</tr>
<!-- BEGIN statrow -->
  <tr class="{statrow.T_CLASS}">
    <td>{statrow.VALUE}</td>
    <td>{statrow.PAGES}</td>
    <td>{statrow.VISITORS}</td>
    <td>{statrow.IMAGES}</td>
  </tr>
<!-- END statrow -->
</table>

<h3>{L_DATE_TITLE}</h3>
<table class="table2" width="98%">
<tr class="throw">
    <th>{L_STAT_HOUR}</th>
    <th>{L_STAT_LOGIN}</th>
    <th>{L_STAT_ADDR}</th>
    <th>{L_STAT_CATEGORY}</th>
    <th>{L_STAT_FILE}</th>
    <th>{L_STAT_PICTURE}</th>
</tr>
<!-- BEGIN detail -->
  <tr class="{detail.T_CLASS}">
    <td nowrap>{detail.HOUR}</td>
    <td>{detail.LOGIN}</td>
    <td>{detail.IP}</td>
  <td>{detail.CATEGORY}</td>
  <td>{detail.FILE}</td>
  <td>{detail.PICTURE}</td>
  </tr>
<!-- END detail -->
</table>


<!-- BEGIN navigation -->
<div class="admin">
{navigation.NAV_BAR}
</div>
<!-- END navigation -->

Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000359)
plg (manager)
2005.10.27 21:07

J'ai demandé à volcom d'intégrer ton MOD (la version en lien sur le forum) (adapté de e-poussin) à la 1.5.0RC1 avant la création de la 1.5.0RC2.

Il y a quelques bugs dans l'implémentation en effet. J'ai déjà fait une petite correction pour mettre un lien sur chaque jour, mais je n'ai pas le graphique des visites par heures.

(j'ai assigné le bogue à volcom, mais je n'ai pas de nouvelles depuis 1 semaine, il doit avoir du boulot en dehors de PhpWebGallery, au besoin, je ferai moi-même les corrections)
(0000361)
volcom (developer)
2005.10.27 21:35
edited on: 2005.10.27 21:39

Je suis étonné du bug sur les liens, c'était pourtant ok chez moi. Surement une erreur dans la précipitation du commit : désolé.

Je n'ai pas eu le daily.img.php.
Par manque de temps je n'ai pas pu corriger cet oubli. Je vais avoir un peu de temps les jours qui viennent je compte bien y remédier ;)

merci.

(0000364)
noiry (reporter)
2005.10.30 09:51

Volcom, as tu recu mon mail ?
(0000365)
volcom (developer)
2005.10.30 09:53

oui je m'en occupe cet après midi. Merci noiry.
(0000366)
volcom (developer)
2005.10.30 21:18

Voila c'est corrigé.

- Issue History
Date Modified Username Field Change
2005.10.27 08:41 noiry New Issue
2005.10.27 08:41 noiry browser => any
2005.10.27 08:41 noiry Web server => Apache 1.3.x
2005.10.27 21:07 plg Note Added: 0000359
2005.10.27 21:07 plg Assigned To => volcom
2005.10.27 21:07 plg Status new => assigned
2005.10.27 21:35 volcom Note Added: 0000361
2005.10.27 21:39 volcom Note Edited: 0000361
2005.10.30 09:51 noiry Note Added: 0000364
2005.10.30 09:53 volcom Note Added: 0000365
2005.10.30 21:18 volcom Note Added: 0000366
2005.10.30 21:18 volcom Status assigned => feedback
2005.11.12 13:32 volcom Status feedback => resolved
2005.11.12 13:32 volcom Fixed in Version => 1.5.0
2005.11.12 13:32 volcom Resolution open => fixed
2005.11.12 14:09 plg Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker